// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: quiz/quiz_svc.proto

package quiz

import (
	enrollment "gitlab.com/go-pro-capt/platzi-go/grpc-api/api/grpc/pb/enrollment"
	question "gitlab.com/go-pro-capt/platzi-go/grpc-api/api/grpc/pb/question"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_quiz_quiz_svc_proto protoreflect.FileDescriptor

var file_quiz_quiz_svc_proto_rawDesc = []byte{
	0x0a, 0x13, 0x71, 0x75, 0x69, 0x7a, 0x2f, 0x71, 0x75, 0x69, 0x7a, 0x5f, 0x73, 0x76, 0x63, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x04, 0x71, 0x75, 0x69, 0x7a, 0x1a, 0x0f, 0x71, 0x75, 0x69,
	0x7a, 0x2f, 0x71, 0x75, 0x69, 0x7a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x65, 0x6e,
	0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d,
	0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x2f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x32, 0xdd, 0x02, 0x0a, 0x0b, 0x51, 0x75, 0x69, 0x7a, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x2c, 0x0a, 0x07, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x0a, 0x2e,
	0x71, 0x75, 0x69, 0x7a, 0x2e, 0x51, 0x75, 0x69, 0x7a, 0x1a, 0x15, 0x2e, 0x71, 0x75, 0x69, 0x7a,
	0x2e, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x2b, 0x0a, 0x07, 0x47, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x14, 0x2e, 0x71, 0x75,
	0x69, 0x7a, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x0a, 0x2e, 0x71, 0x75, 0x69, 0x7a, 0x2e, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x50, 0x0a,
	0x12, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x79, 0x51,
	0x75, 0x69, 0x7a, 0x12, 0x14, 0x2e, 0x71, 0x75, 0x69, 0x7a, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75,
	0x69, 0x7a, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x50, 0x65, 0x72, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x5a, 0x0a, 0x19, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x53, 0x74,
	0x75, 0x64, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x14, 0x2e, 0x71,
	0x75, 0x69, 0x7a, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x27, 0x2e, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e,
	0x53, 0x65, 0x74, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x75, 0x64, 0x65,
	0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x45, 0x0a, 0x0f, 0x53,
	0x68, 0x6f, 0x77, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x12, 0x14,
	0x2e, 0x71, 0x75, 0x69, 0x7a, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x71, 0x75, 0x69, 0x7a, 0x2e, 0x53, 0x65, 0x74, 0x51,
	0x75, 0x69, 0x7a, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x42, 0x3c, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x67, 0x6f, 0x2d, 0x70, 0x72, 0x6f, 0x2d, 0x63, 0x61, 0x70, 0x74, 0x2f, 0x70, 0x6c, 0x61,
	0x74, 0x7a, 0x69, 0x2d, 0x67, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x61, 0x70, 0x69, 0x2f,
	0x61, 0x70, 0x69, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x62, 0x2f, 0x71, 0x75, 0x69, 0x7a,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_quiz_quiz_svc_proto_goTypes = []interface{}{
	(*Quiz)(nil),                                   // 0: quiz.Quiz
	(*GetQuizRequest)(nil),                         // 1: quiz.GetQuizRequest
	(*SetQuizResponse)(nil),                        // 2: quiz.SetQuizResponse
	(*question.SetQuestionPerQuizResponse)(nil),    // 3: question.SetQuestionPerQuizResponse
	(*enrollment.SetEnrolledStudentsResponse)(nil), // 4: enrollment.SetEnrolledStudentsResponse
	(*SetQuizResultsResponse)(nil),                 // 5: quiz.SetQuizResultsResponse
}
var file_quiz_quiz_svc_proto_depIdxs = []int32{
	0, // 0: quiz.QuizService.SetQuiz:input_type -> quiz.Quiz
	1, // 1: quiz.QuizService.GetQuiz:input_type -> quiz.GetQuizRequest
	1, // 2: quiz.QuizService.GetQuestionsByQuiz:input_type -> quiz.GetQuizRequest
	1, // 3: quiz.QuizService.GetEnrolledStudentsByQuiz:input_type -> quiz.GetQuizRequest
	1, // 4: quiz.QuizService.ShowQuizResults:input_type -> quiz.GetQuizRequest
	2, // 5: quiz.QuizService.SetQuiz:output_type -> quiz.SetQuizResponse
	0, // 6: quiz.QuizService.GetQuiz:output_type -> quiz.Quiz
	3, // 7: quiz.QuizService.GetQuestionsByQuiz:output_type -> question.SetQuestionPerQuizResponse
	4, // 8: quiz.QuizService.GetEnrolledStudentsByQuiz:output_type -> enrollment.SetEnrolledStudentsResponse
	5, // 9: quiz.QuizService.ShowQuizResults:output_type -> quiz.SetQuizResultsResponse
	5, // [5:10] is the sub-list for method output_type
	0, // [0:5] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_quiz_quiz_svc_proto_init() }
func file_quiz_quiz_svc_proto_init() {
	if File_quiz_quiz_svc_proto != nil {
		return
	}
	file_quiz_quiz_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_quiz_quiz_svc_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_quiz_quiz_svc_proto_goTypes,
		DependencyIndexes: file_quiz_quiz_svc_proto_depIdxs,
	}.Build()
	File_quiz_quiz_svc_proto = out.File
	file_quiz_quiz_svc_proto_rawDesc = nil
	file_quiz_quiz_svc_proto_goTypes = nil
	file_quiz_quiz_svc_proto_depIdxs = nil
}
